
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《51单片机应用开发从入门到精通》——2.1　简单点亮发光二极管实例 / iVAN</title>

    <meta name="description" content="《51单片机应用开发从入门到精通》——2.1　简单点亮发光二极管实例 2.1 简单点亮发光二极管实例 51单片机应用开发从入门到精通 单片机最简单的实例之一就是点亮发光二极管(LED)闪烁.本节通过点亮1只发光二极管的实例来介绍单片机的I/O口操作. 本节首先介绍单片机I/O口结构的基础知识,接着介绍实例的硬件电路,然后给出了实例程序,最后将分析操作单片机的I/O口的技巧与注意点. 2.1.1 基础知识 8051单片机有4个并行I/O口:P0-P3.这4个I/O口中只有P0口是真正的双向口,P1-P3是准双向口,P3口还具有第二功能,为系统提供一些控制信号.4个并">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《51单片机应用开发从入门到精通》——2.1　简单点亮发光二极管实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>2.1　简单点亮发光二极管实例</h3>
<p>51单片机应用开发从入门到精通<br />
单片机最简单的实例之一就是点亮发光二极管（LED）闪烁。本节通过点亮1只发光二极管的实例来介绍单片机的I/O口操作。</p>
<p>本节首先介绍单片机I/O口结构的基础知识，接着介绍实例的硬件电路，然后给出了实例程序，最后将分析操作单片机的I/O口的技巧与注意点。</p>
<h4>2.1.1 基础知识</h4>
<p>8051单片机有4个并行I/O口：P0～P3。这4个I/O口中只有P0口是真正的双向口，P1～P3是准双向口，P3口还具有第二功能，为系统提供一些控制信号。4个并行I/O口的结构如表2-1所示。由I/O口结构可知，P0口的输出三态门由两只场效应管（FET）组成，所以是一个真正的双向口，同时可以提供较强的输出高电平（拉电流）和低电平（灌电流）驱动能力；P1～P3口中，上拉电阻代替了场效应管，输出缓冲器不是三态的，因此不是真正的双向口，只能称为准双向口，同时这些I/O口的输出高电平驱动能力较弱，只能提供较强的输出低电平驱动能力。因此，在使用I/O口直接驱动LED等电流负载时，需要使用输出低电平驱动的接法。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzAyNzc4ZDVmZjg0OWIwNGUzYjcxNDRlZTY3ZjA3ODUxZjA3NmZkMTgucG5n.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2Y5NmNlMDQ5NGQ1NDg0NTgzMGJiNzQ3MGMzZWM4NzZhNTYzM2ZmODQucG5n.jpg"></p>
<h4>2.1.2 硬件电路图</h4>
<p>本实例中，硬件电路主要包括8051单片机最小系统电路（包括5V电源，正极接40引脚，负极（地）接20引脚；振荡电路，使用晶体振荡器，接18、19脚；复位电路；EA引脚接到正电源端）和发光二极管LED电路（由1只LED和1只限流电阻串联而成），具体的连接原理电路图如图2-1所示。当P1.0引脚输出低电平时，点亮LED；当P1.0引脚输出高电平时，LED熄灭。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzU5MzYzZjcxMjU3ZjEwYWEzOTA5MmIxMWY5NGZiNWQxNjZmZWQ0MmUucG5n.jpg"></p>
<h4>2.1.3 软件程序设计</h4>
<p>要实现LED的闪烁效果需要通过程序控制单片机连接到LED的I/O引脚，点亮LED，延时一段时间后，再控制I/O引脚使LED熄灭，如此循环就可以实现LED的闪烁。下面，着重介绍延时程序，并给出完整的软件程序实例。</p>
<p>1．延时程序<br />
首先，通过下面的代码演示单片机如何通过程序实现延时一段时间。</p>
<pre><code>;延时子程序
DELAY:
    MOV R7,#10H              ;（1）
DELAY0:
    MOV R6,#7FH              ;（2）
DELAY1:
    MOV R5,#7FH              ;（3）
 DJNZ R5,$                   ;（4）
 DJNZ R6,DELAY1              ;（5）
 DJNZ R7,DELAY0              ;（6）
 RET                         ;（7）
</code></pre>
<p>程序（1）为数据传送指令，该指令的作用为将数据10H传送到寄存器R7中。8051单片机执行程序（1）～程序（3）后，寄存器R5、R6、R7的值分别为7FH、7FH和10H。程序（4）为减1不为0转移指令，该指令的作用为将寄存器R5中的数据减1，如果结果不为0，则程序跳转。其中“$”符号表示该指令的地址，所以若减1不为0则程序发生跳转，再次执行程序（4）。同理，程序（5）为将寄存器R6中的数据减1，如果结果不为0，则程序跳转到标号“DELAY1”处继续执行。程序（7）为子程序返回指令，执行该指令使程序返回调用子程序时的断点，继续执行断点之后的程序。</p>
<p>以上代码实例使用了数据传送指令和控制转移指令，8051单片机的数据传送指令及控制转移指令如表2-2、表2-3所示。表2-2、表2-3中的其他一些数据传送指令及控制转移指令将在后面的实例中陆续详细介绍。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2U3MzZkNDAwYmIxZTRkOGI0ZTFlNGJjMmMwOGZmN2IyNmE2YTU0NGUucG5n.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzJkMjc4N2UyNjQ2NDUxNjQwZDJjNGUyYTM4OGE2NjFkNzE5NmFmNjAucG5n.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2JkZDNkNTE5MzQwNGFmNTRkNmMxZjUyMDg2ZDlkMmZjNTVkNGQ4NTkucG5n.jpg"></p>
<p>以上代码实例是一个完整的子程序。所谓子程序，就是完成确定任务，并能被其他程序反复调用的程序代码段，子程序在结构上具有通用性和独立性。子程序的编写必须注意以下几点：</p>
<p>　子程序调用使用LCALL指令。<br />
　子程序必须通过RET指令返回。<br />
　子程序第一条必须有标号，以实现LCALL指令的调用。<br />
　正确传递入口参数和出口参数。<br />
　子程序需要注意现场的保护和恢复。<br />
　如果需要子程序嵌套，应注意嵌套深度与堆栈区大小的问题。<br />
该延时子程序，可以实现约0.5秒的延时，下面看看如何来计算延时子程序的延时时间。8051单片机的一个机器周期包括12个时钟周期，本实例中单片机晶振为12MHz，则它的1个时钟周期是1/12微秒，1个机器周期是1微秒。DJNZ指令是双周期指令，执行1次要2个微秒，延时子程序一共执行258064次DJNZ指令，一共为516128微秒，约为0.5秒。</p>
<p>2．程序全貌<br />
本实例的软件程序全貌如下：</p>
<pre><code>;-----------------------------------
;                   简单点亮发光二极管实例
;功能：点亮发光管LED并闪烁
;-----------------------------------
LED_PIN  EQU  P1.0           ;（1）
ORG 0000H   ;伪指令，指定程序从0000H开始存放
LJMP 　MAIN   ;跳转指令，程序跳转到MAIN处
ORG 0100H   ;伪指令，指定以下程序从0100H开始存放
MAIN:
   MOV SP,#60H  ;给堆栈指针赋初值       （2）
LIGHT:
   SETB　LED_PIN  ;置一P1.0，LED灭       （3）
   LCALL　DELAY  ;调延时子程序        （4）
   CLR　LED_PIN  ;清零P1.0，LED亮       （5）
   LCALL　DELAY  ;调延时子程序        （6）
   SJMP　LIGHT  ;跳转，程序继续        （7）
;延时子程序
DELAY:
   MOV R7,#10H
DELAY0:
   MOV R6,#7FH
DELAY1:
   MOV R5,#7FH
   DJNZ R5,$
   DJNZ R6,DELAY1
   DJNZ R7,DELAY0
   RET
END```
程序（1）为伪指令，伪指令是在汇编程序中起某种控制作用的特殊命令，其格式与通常的操作指令一样，并可加在汇编程序的任何地方，但它们并不产生实际的机器指令。程序（1）的作用是定义常数，也就是说，在该伪指令以下程序中出现的LED_PIN都是指代P1.0。8051单片机编程中常用的伪指令如表2-4所示。

&lt;div style="text-align: center"&gt;&lt;img src="https://yqfile.alicdn.com/aa72ec41aae04f210efb3b358fe111416b097df5.png" width="" height=""&gt;
&lt;/div&gt;

8051单片机在上电复位后程序计数器PC中的值为0000H，也就是说程序是从0000H单元开始执行的。通过伪指令ORG 0000H指定程序从0000H单元开始存放，并在该单元写入跳转指令LJMP MAIN，使程序跳转到MAIN处开始执行。“MAIN：”称为标号，它代表了当前行的程序存储器地址。

程序（2）为给堆栈指针赋初值指令。所谓堆栈是一个RAM区域，堆栈存放和取用数据的方式比较特殊：先进后出，后进先出。堆栈的数据传输指令有两条，即PUSH和POP指令，堆栈的操作还涉及一个寄存器：堆栈指针SP。每当执一次PUSH指令时，SP的值就自动加1，然后数据被放到SP所指示的RAM单元中。每当执行一次POP指令，数据从SP所指示的RAM单元中取出，然后SP的值自动减1。由于上电复位后，SP的初始值为07H，这样就使堆栈数据从08H单元开始往后存放，而08H到1FH这个区域正是8051单片机的第二、三、四工作寄存器区，经常要被使用，这会造成数据的混乱。所以使用MOV SP,#60H指令设置堆栈指针，把堆栈设置在从60H开始的RAM单元中。

程序（3）、程序（5）为位操作指令，8051单片机的位操作指令见表2-5。

表2-5 位操作指令

&lt;div style="text-align: center"&gt;&lt;img src="https://yqfile.alicdn.com/ec97a635ca122da65d04da3743d28b1f7ddd27ae.png" width="" height=""&gt;
&lt;/div&gt;

通过直接寻址位取反指令CPL，程序（3）～（7）也可写作如下：
</code></pre>
<p>LIGHT: <br />
   CPL  LED_PIN  ;取反P1.0，改变LED的亮灭状态<br />
   LCALL DELAY  ;调延时子程序<br />
   SJMP LIGHT   ;跳转，程序继续</p>
<pre><code>3．运行结果
本实例的运行结果为LED不停闪烁。

####2.1.4 技巧总结
本实例从单片机点亮1只发光二极管出发，演示8051单片机是如何操作I/O口的。在单片机I/O口操作中应注意以下的技巧。

硬件连接过程中应注意各I/O口的内部结构，选择合适的引脚及连接方式。一般来说，对于I/O口驱动电流负载的情况，应采用输出低电平驱动电路的形式。对于许多新型的51内核的单片机，引脚提供了输出20mA电流的LED驱动能力，输出高电平时也可以直接驱动LED。
操作I/O口的指令主要是SETB bit、CLR bit、CPL bit。
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:16:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《51单片机应用开发从入门到精通》——2.1　简单点亮发光二极管实例的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBKXBz.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;2　跑马灯实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 跑马灯实例 51单片机应用开发从入门到精通 在上一节点亮1只LED的基础上,让我们来看看如何控制多只LED实现跑马灯效果. 2.2.1 硬件电路图 本实例中,硬件电路和上一节的硬件电路相似,为了实现跑马灯,本实例电路连接了8只LED,原理电路图如图2-2所示. 2.2.2 软件程序设计 控制多只LED实现跑马灯效果可以有多种实现方式,下面给出其中两种,请对比这两种实现方式的优劣. 1．程序全貌 首先,使用上节学习的直接寻址位置1指令SETB bit和直接寻址位清0指令CLR bit控制P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwrPrp.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;9　交通灯实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.9 交通灯实例 51单片机应用开发从入门到精通 定时器/计数器是单片机中最常用.最重要的功能模块之一,本节通过交通灯控制器实例来演示定时器的使用方法,并复习如何使用上节学习的散转程序. 本节首先介绍交通灯的基础知识以及定时器/计数器的基础知识,接着介绍本实例的硬件电路构成,然后逐步分析定时器的编程以及程序的全貌,最后将总结一下本实例的技巧与注意点. 2.9.1 基础知识 交通灯控制器实例主要使用了8051单片机的定时器/计数器,本实例的基础知识主要包括:交通灯的变化规律.定时器/计数器的概念			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxY8Eb.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;10　变频报警实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.10 变频报警实例 51单片机应用开发从入门到精通 本实例是用软件延时方法实现变频振荡报警,即用P3.4端口输出1kHz和2kHz的变频信号以示报警,每隔1s交替变换1次.本节硬件设计与上节相同. 2.10.1 程序设计 本程序利用软件延时方法,使P3.4端口输出1kHz和2kHz的变频信号,每隔1s交替变换1次. 1．流程图 程序设计流程如图2-16所示. 2．程序 汇编语言编写的变频报警源程序FS02.ASM代码如下: 01: MAIN: MOV R1,#8 ;1kHz持续时间 02:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNDYBM.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;11　歌曲演奏实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.11 歌曲演奏实例 本实例是利用单片机演奏一首生日快乐歌. 2.11.1 编程演奏器原理 1．演奏器原理 (1)通过控制单片机定时器的定时时间产生不同频率的音频脉冲,经放大后驱动蜂鸣器发出不同音节的声音. (2)用软件延时来控制发音时间的长短,控制节拍,表2-14是各调1/4节拍的时间表. (3)把乐谱中的音符和相应的节拍变换为定时常数和延时常数,作为数据表格存放在存储器中.由程序查表得到定时常数和延时常数,分别用来控制定时器产生的脉冲频率和发出该音频脉冲的持续时间. (4)表2-15为单片			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyRXmz.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;3　流水灯实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 流水灯实例 本节基于上一节的硬件电路,首先介绍关于寻址方式的基础知识,然后给出了运用查表法实现的流水灯实例程序. 2.3.1 基础知识 寻址方式是指寻找.确定参与操作的数据地址的方式,8051单片机的寻址方式包括寄存器寻址.直接寻址.寄存器间接寻址.立即寻址以及基址寄存器加变址寄存器间接寻址,这5种寻址方式的功能见表2-7.下面将详细介绍基址寄存器加变址寄存器间接寻址的寻址方式. 基址寄存器加变址寄存器间接寻址方式一般用于访问程序存储器中的数据表格,这种寻址方式,是以DPTR或PC作基址			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmG1Aqb.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;4　延时时间计算实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 延时时间计算实例 51单片机应用开发从入门到精通 在单片机的实时控制系统中,常常需要用到延时操作,所以,延时子程序往往是编写单片机程序中不可缺少的一部分.延时方法有硬件延时和软件延时,硬件延时将在后面有关章节中介绍,本节将介绍软件延时方法. 所谓软件延时,就是让计算机重复执行一些无具体任务的程序,利用执行程序的时间来达到延时的目的. 2.4.1 机器周期和指令周期 单片机读.写操作都需要消耗一定的时间,机器周期是指单片机完成一个基本操作所用的时间,如读操作.写操作等.当石英晶体为12MH			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYXYOp.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 51单片机应用开发从入门到精通 随着微处理器技术和SoC技术的发展,从较早的4位机到8位机,一直发展到现在的32位机,单片机的应用逐渐渗透到生产.生活的各个领域.本书主要针对MCS-51体系单片机,从硬件.软件两个方面的基础知识开始进行介绍.MCS-51体系单片机由于具有简单易学.稳定性好.成本低等优点,在工业控制.家用电器.汽车电子乃至航天电子等许多领域都有着重要的应用. 本书主要针对初.中级读者群,通过众多的实例介绍单片机开发的基础知识.基本工具.基本过程及简单应用,既方便初学者入门,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAA7nvM.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;1&period;3　Keil uVision2集成开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 Keil uVision2集成开发环境 51单片机应用开发从入门到精通 uVision2 IDE是Keil software公司的产品,它集项目管理.编译工具.代码编写工具.代码调试以及完全仿真于一体,特别适用于个人开发或者人数少.对开发过程的管理还不成熟的开发团体.这一功能强大的软件提供简单易用的开发平台,可以让开发者在开发过程中集中精力于项目本身,加快开发速度. 1.3.1 uVision2介绍 uVision2的界面窗口如图1-13所示,该软件提供了丰富的工具,常用命令都具有快捷工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRXj3b.html" rel="bookmark">《51单片机应用开发从入门到精通》&mdash;&mdash;1&period;5　测试方法和工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 测试方法和工具 51单片机应用开发从入门到精通 完成一个用户样机,首先要完成硬件组装工作,然后进入软件设计.调试和硬件调试阶段.硬件组装就是在设计.制作完毕的印制板上焊好元件与插座,然后就可用仿真开发工具进行软件设计.调试和硬件调试工作. 1．用户样机软件的设计.调试 用户样机软件设计.调试的过程如图1-25所示,可为以下几个步骤. 第一步,建立用户源程序.用户通过开发系统的键盘.CRT显示器及开发系统的编辑软件,按照所要求的格式.语法规定,把源程序输入到开发系统中,并存在磁盘上. 第二			</div>
		</article>
	</section>
			
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlDrOM.html" rel="bookmark" class="title">初探PHP单元测试利器：PHPUnit</a>
					<div>
						你是否在程序开发的过程中遇到以下的情况:当你花了很长的时间开发一个PHP应用后,你认为应该是大功告成了,可惜在调试的时候,老是不断的发现bug,而且最可怕的是,这些bug是重复出现的,你可能发现这些b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1Lexb.html" rel="bookmark" class="title">做站要改变心态 才能快速的赚钱</a>
					<div>
						随着个人建站门槛的降低,做一个网站越发变得容易,以至于人人都能成为站长.站长这个职业也由以前带有传奇色彩变得普通起来. 除非是完全出于兴趣爱好,个人站长都或多或少的想要通过网站赚钱的,即使不想用它赚钱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjnG5b.html" rel="bookmark" class="title">如何做好结构和关键词优化让网站快速收录</a>
					<div>
						浅谈网站在制作初期到后期的一些优化技巧,基本让网站实现任何关键词排名首页.个人觉得网站初期优化应该占的比重更大.而后期只不过的优化的补充.下面就来说说网站实现秒收和大部分关键词排名首位的方法. 网站前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2okqM.html" rel="bookmark" class="title">如何把Excel列表名由字母变成数字</a>
					<div>
						如下图: Excel列表名由字母ABCD变成数字1234 原因:设置改变 解决方法:File-Options-Formulas-将R1C1 reference style前的勾去掉. 查看本栏目更多精 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP7J7M.html" rel="bookmark" class="title">使用Topcased改进EMF模型编辑视图</a>
					<div>
						EMF 是 Eclipse 建模框架,它是 Eclipse MDA(Model Driven Architecture)的重要组成部分,其 元模型 ECore 是 MOF 的 Java 实现,根据 J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr6JKp.html" rel="bookmark" class="title">Windows8&period;1添加无线打印机遇到0x0000057错误</a>
					<div>
						  Windows8.1添加无线打印机遇到0x0000057错误解决 一般处理方法: 建议更新打印机驱动,相应的官方网站上会有不同型号的打印机驱动公布出来,建议你看看,或者在你的打印机官方网站上看看相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr35xxp.html" rel="bookmark" class="title">Godaddy注册教程</a>
					<div>
						用过Godaddy的人都知道,在Godaddy购买产品如果你没有账户,那么在购买的过程中还需要输入注册账户的信息,步骤非常的繁琐.相反,如果你已经有了Godaddy账户,那么你直接输入账户用户名和密码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY4xWb.html" rel="bookmark" class="title">blued怎么注销？</a>
					<div>
						  法一.直接签名改为停用账号. 法二.违反blued规则,比如:1.直接上传露点不雅照片(包括露阴.露臀);2.上传大量恶搞低俗图片;3.在聊天室大量刷屏;4.在聊天室或个人宣言当中发布广告宣传信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJvKep.html" rel="bookmark" class="title">怎样删除U盘使用相关信息</a>
					<div>
						  一.先往系统里面添加环境变量devmgr_shownonpresent_devices,值为1 二. 运行设备管理器,打开查看隐藏设备.展开磁盘驱动器.储存卷两处,把和U盘有关的Kill掉. 三. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwwWdp.html" rel="bookmark" class="title">如何使用HTTP压缩优化服务器</a>
					<div>
						鉴于互联网上的宽带有限,网络管理人员任何旨在加速接入速度的努力都是有价值的.其中的一个方法就是通过HTTP压缩技术实现接入速度的加速,它通过减少在服务器和客户端之间传输的数据量,显著地提高网站的性能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6g69M.html" rel="bookmark" class="title">文件和 流-刚接触IO流和文件操作有许多不懂，请大神们来教教这些定义是什么意思</a>
					<div>
						问题描述 刚接触IO流和文件操作有许多不懂,请大神们来教教这些定义是什么意思 File f1 = new File(dir, name);//什么意思,不懂啊. FileOutputStream ou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmo80z.html" rel="bookmark" class="title">更新tableView的某个cell</a>
					<div>
						更新tableView的某个cell 异步加载完数据后更新某个cell,这应该是非常常见的使用方法了,我们经常会用reloadData. 效果: 源码: // // RootViewControlle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7WYXz.html" rel="bookmark" class="title">套接字输入缓冲装置&mdash;&mdash;InternalInputBuffer</a>
					<div>
						互联网的世界很复杂,信息从一端传向另一端过程也相当复杂,中间可能通过若干个硬件,为了提高发送和接收效率,在发送端及接收端都将引入缓冲区,所以两端的套接字都拥有各自的缓冲区,当然这种缓冲区的引入也带来了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA6DlM.html" rel="bookmark" class="title">java 读取pdf文档中的表格数据</a>
					<div>
						问题描述 java 读取pdf文档中的表格数据 如题,如何使用Java读取PDF表格中的数据!跪求帮助,在线等回复,急!急!急! 解决方案 用Java读取pdf中的数据用Java读取pdf中的数据用J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAwJqp.html" rel="bookmark" class="title">想使用 MongoDB ，你应该了解这8个方面！</a>
					<div>
						应用性能高低依赖于数据库性能,MongoDB 是一个基于分布式文件存储的数据库.由 C++ 语言编写,旨在为 WEB 应用提供可扩展的高性能数据存储解决方案.MongoDB 是一个介于关系数据库和非关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK0Zoz.html" rel="bookmark" class="title">正则表达式，匹配的，不理解</a>
					<div>
						问题描述 正则表达式,匹配的,不理解 {1=A, 2=B, 3=C, 4=D}, {3=E, 4=F, 5=G, 6=H, 7=K}, {4=F, 5=G, 6=H, 7=K} 想split成如下.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmln8b.html" rel="bookmark" class="title">常见网络命令之traceroute命令一起其他常用命令</a>
					<div>
						备注:任何命令+/?就可以显示命令帮助,比如:ipconfig /?. traceroute命令 traceroute是UNIX系统中的名字,用来跟踪一个分组从源点到终点的路径.在Windows系统中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZAvZp.html" rel="bookmark" class="title">云计算时代的以太网交换机要求</a>
					<div>
						你对云计算有多少的了解?今天小编将为大家简单介绍一下,欢迎大家一起进行学习.由于ASIC技术和网络处理器的不断发展不断进步,以及网络慢慢被IP技术所占领,以太网技术已经跨过了局域网时代,在城域网和广域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4OyAz.html" rel="bookmark" class="title">快速安装ISO镜像新软件</a>
					<div>
						[科技讯]4月25日消息,近日微软官方发布了一款类似虚拟光驱的小软件,可以方便用户快速挂载和安装ISO镜像文件.     据悉,微软已经为其Windows操作系统,发布了一款挂载ISO磁盘镜像文件的实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RORQb.html" rel="bookmark" class="title">畅捷通入驻阿里云市场，为小微企业在线&OpenCurlyDoubleQuote;号脉开方&rdquo;</a>
					<div>
						5月23日,云栖大会成都峰会上,用友畅捷通将与阿里云和众多合作伙伴一起发布&quot;生态密码&quot;,揭开阿里云生态的新布局.而早在本次发布前,畅捷通就已入驻阿里云市场,借最强的线上交易与交付平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7RRRz.html" rel="bookmark" class="title">从实践中要编程的体验和感觉</a>
					<div>
						[来信] 老师您好. 有幸在这里见到您和您的学生.关于学习编程,麻烦您给点建议. 基本情况,理科(力学)在读研究生,不小了,呵呵.本科阶段计算机编程没有系统学习,读研期间陆续读了一些计算机系统,数据结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0DrPM.html" rel="bookmark" class="title">java方法-java中类的某个方法是不是只能由这个类及其子类的对象才可以调用</a>
					<div>
						问题描述 java中类的某个方法是不是只能由这个类及其子类的对象才可以调用 java中类的某个方法是不是只能由这个类及其子类的对象才可以调用 解决方案 当然不是,只有private/protected ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeO9dM.html" rel="bookmark" class="title">jsp页面之间传值的问题</a>
					<div>
						问题描述 jsp页面之间传值的问题 我有一个jsp页面A.jsp 他里面有一个值为a=0:我想将这个值传到B.jsp中,怎么操作 jQuery语句怎么写 解决方案 $.ajax({url:'b.jsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x7Wvb.html" rel="bookmark" class="title">如何将内存中生成的图片输出到页面&quest;</a>
					<div>
						问题描述 怎样将服务器内存中的图片输出到页面:如下我想把加了文字的图片显示在页面而不要保存System.Drawing.Imageimage=System.Drawing.Image.FromFile ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnwX9M.html" rel="bookmark" class="title">9个技巧，让你家的WiFi马力全开</a>
					<div>
						随着智能手机的发展,用户对WiFi需求越来越普遍,对于用户而言,最不能忍受的莫过于上网期间出现卡顿问题,影响上网速度的元素除了与路由器有关,如何设置也是有很大的影响,下面小编就教大家9个优化WiFi技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEJrBz.html" rel="bookmark" class="title">C&plus;&plus;中队列的建立与操作详细解析&lowbar;C 语言</a>
					<div>
						什么是队列结构 队列结构是从数据运算来分类的,也就是说队列结构具有特殊的运算规则.而从数据的逻辑结构来看,队列结构其实就是一种线性结构.如果从数据的存储结构来进一步划分,队列结构可以分成两类. 顺序队 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK2ljM.html" rel="bookmark" class="title">Android Data Binding数据绑定详解&lowbar;Android</a>
					<div>
						去年谷歌 I/O大会上介绍了一个非常厉害的新框架DataBinding, 数据绑定框架给我们带来了很大的方便,以前我们可能需要在每个Activity里写很多的findViewById,不仅麻烦,还增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqVy7p.html" rel="bookmark" class="title">小程序大智慧，sqlserver 注释提取工具</a>
					<div>
						原文:小程序大智慧,sqlserver 注释提取工具 开篇背景 我习惯在写表的创建脚本时将注释直接写在脚本里,比如 /*账套*/ CREATE TABLE [dbo].[AccountingBook] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/Mx2W0Rz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/Mx2W0Rz.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android使用正则表达式匹配扫描指定目录下的所有媒体文件&lpar;音乐、图像、视频文件&rpar;</a>
					<div>
						      今天使用正则表达式匹配指定目录下的所有媒体文件,下面将这份代码简化了,可以收藏下来,当作工具类. package match; import java.io.File; import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeqlvp.html" rel="bookmark" class="title">大数据在金融领域的应用及问题时</a>
					<div>
						互联网使信息变的扁平,但是信息的利用效率却没有得到提高,因为技术的限制和认知的局限,海量的信息无法深度挖掘价值,甚至是信息本身被直接忽视.很多情况下人们能看到的只是互联网的便利,而挖掘信息背后的价值则 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
